Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.calendar.schema
Interface CalendarDocument.Calendar

All Superinterfaces:
  XmlObject, XmlTokenSource

Enclosing interface:
  CalendarDocument

    public static interface CalendarDocument.Calendar

extends XmlObject

An XML Calendar(@http://www.bea.com/wli/calendar/schema). This is a complex type.

Nested Class Summary
`static class` | `CalendarDocument.Calendar.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`void` | `addGroupId(String groupId)` Appends the value as the last "groupId" element
`Id` | `addNewGroupId()` Appends and returns a new empty value (as xml) as the last "groupId" element
`RuleType` | `addNewRule()` Appends and returns a new empty value (as xml) as the last "rule" element
`Id` | `addNewUserId()` Appends and returns a new empty value (as xml) as the last "userId" element
`void` | `addUserId(String userId)` Appends the value as the last "userId" element
`String[]` | `getGroupIdArray()` Gets array of all "groupId" elements
`String` | `getGroupIdArray(int i)` Gets ith "groupId" element
`String` | `getName()` Gets the "name" element
`RuleType[]` | `getRuleArray()` Gets array of all "rule" elements
`RuleType` | `getRuleArray(int i)` Gets ith "rule" element
`String` | `getSystemFlag()` Gets the "systemFlag" element
`String` | `getTimeZone()` Gets the "timeZone" element
`String[]` | `getUserIdArray()` Gets array of all "userId" elements
`String` | `getUserIdArray(int i)` Gets ith "userId" element
`void` | `insertGroupId(int i, String groupId)` Inserts the value as the ith "groupId" element
`Id` | `insertNewGroupId(int i)` Inserts and returns a new empty value (as xml) as the ith "groupId" element
`RuleType` | `insertNewRule(int i)` Inserts and returns a new empty value (as xml) as the ith "rule" element
`Id` | `insertNewUserId(int i)` Inserts and returns a new empty value (as xml) as the ith "userId" element
`void` | `insertUserId(int i, String userId)` Inserts the value as the ith "userId" element
`boolean` | `isSetSystemFlag()` True if has "systemFlag" element
`boolean` | `isSetTimeZone()` True if has "timeZone" element
`void` | `removeGroupId(int i)` Removes the ith "groupId" element
`void` | `removeRule(int i)` Removes the ith "rule" element
`void` | `removeUserId(int i)` Removes the ith "userId" element
`void` | `setGroupIdArray(int i, String groupId)` Sets ith "groupId" element
`void` | `setGroupIdArray(String[] groupIdArray)` Sets array of all "groupId" element
`void` | `setName(String name)` Sets the "name" element
`void` | `setRuleArray(int i, RuleType rule)` Sets ith "rule" element
`void` | `setRuleArray(RuleType[] ruleArray)` Sets array of all "rule" element
`void` | `setSystemFlag(String systemFlag)` Sets the "systemFlag" element
`void` | `setTimeZone(String timeZone)` Sets the "timeZone" element
`void` | `setUserIdArray(int i, String userId)` Sets ith "userId" element
`void` | `setUserIdArray(String[] userIdArray)` Sets array of all "userId" element
`int` | `sizeOfGroupIdArray()` Returns number of "groupId" element
`int` | `sizeOfRuleArray()` Returns number of "rule" element
`int` | `sizeOfUserIdArray()` Returns number of "userId" element
`void` | `unsetSystemFlag()` Unsets the "systemFlag" element
`void` | `unsetTimeZone()` Unsets the "timeZone" element
`Id[]` | `xgetGroupIdArray()` Gets (as xml) array of all "groupId" elements
`Id` | `xgetGroupIdArray(int i)` Gets (as xml) ith "groupId" element
`XmlString` | `xgetName()` Gets (as xml) the "name" element
`XmlString` | `xgetSystemFlag()` Gets (as xml) the "systemFlag" element
`XmlString` | `xgetTimeZone()` Gets (as xml) the "timeZone" element
`Id[]` | `xgetUserIdArray()` Gets (as xml) array of all "userId" elements
`Id` | `xgetUserIdArray(int i)` Gets (as xml) ith "userId" element
`void` | `xsetGroupIdArray(Id[] groupIdArray)` Sets (as xml) array of all "groupId" element
`void` | `xsetGroupIdArray(int i, Id groupId)` Sets (as xml) ith "groupId" element
`void` | `xsetName(XmlString name)` Sets (as xml) the "name" element
`void` | `xsetSystemFlag(XmlString systemFlag)` Sets (as xml) the "systemFlag" element
`void` | `xsetTimeZone(XmlString timeZone)` Sets (as xml) the "timeZone" element
`void` | `xsetUserIdArray(Id[] userIdArray)` Sets (as xml) array of all "userId" element
`void` | `xsetUserIdArray(int i, Id userId)` Sets (as xml) ith "userId" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getName

    String getName()

  Gets the "name" element

### xgetName

    XmlString xgetName()

  Gets (as xml) the "name" element

### setName

    void setName(String name)

  Sets the "name" element

### xsetName

    void xsetName(XmlString name)

  Sets (as xml) the "name" element

### getTimeZone

    String getTimeZone()

  Gets the "timeZone" element

### xgetTimeZone

    XmlString xgetTimeZone()

  Gets (as xml) the "timeZone" element

### isSetTimeZone

    boolean isSetTimeZone()

  True if has "timeZone" element

### setTimeZone

    void setTimeZone(String timeZone)

  Sets the "timeZone" element

### xsetTimeZone

    void xsetTimeZone(XmlString timeZone)

  Sets (as xml) the "timeZone" element

### unsetTimeZone

    void unsetTimeZone()

  Unsets the "timeZone" element

### getRuleArray

    RuleType[] getRuleArray()

  Gets array of all "rule" elements

### getRuleArray

    RuleType getRuleArray(int i)

  Gets ith "rule" element

### sizeOfRuleArray

    int sizeOfRuleArray()

  Returns number of "rule" element

### setRuleArray

    void setRuleArray(RuleType[] ruleArray)

  Sets array of all "rule" element

### setRuleArray

    void setRuleArray(int i,
                      RuleType rule)

  Sets ith "rule" element

### insertNewRule

    RuleType insertNewRule(int i)

  Inserts and returns a new empty value (as xml) as the ith "rule" element

### addNewRule

    RuleType addNewRule()

  Appends and returns a new empty value (as xml) as the last "rule" element

### removeRule

    void removeRule(int i)

  Removes the ith "rule" element

### getGroupIdArray

    String[] getGroupIdArray()

  Gets array of all "groupId" elements

### getGroupIdArray

    String getGroupIdArray(int i)

  Gets ith "groupId" element

### xgetGroupIdArray

    Id[] xgetGroupIdArray()

  Gets (as xml) array of all "groupId" elements

### xgetGroupIdArray

    Id xgetGroupIdArray(int i)

  Gets (as xml) ith "groupId" element

### sizeOfGroupIdArray

    int sizeOfGroupIdArray()

  Returns number of "groupId" element

### setGroupIdArray

    void setGroupIdArray(String[] groupIdArray)

  Sets array of all "groupId" element

### setGroupIdArray

    void setGroupIdArray(int i,
                         String groupId)

  Sets ith "groupId" element

### xsetGroupIdArray

    void xsetGroupIdArray(Id[] groupIdArray)

  Sets (as xml) array of all "groupId" element

### xsetGroupIdArray

    void xsetGroupIdArray(int i,
                          Id groupId)

  Sets (as xml) ith "groupId" element

### insertGroupId

    void insertGroupId(int i,
                       String groupId)

  Inserts the value as the ith "groupId" element

### addGroupId

    void addGroupId(String groupId)

  Appends the value as the last "groupId" element

### insertNewGroupId

    Id insertNewGroupId(int i)

  Inserts and returns a new empty value (as xml) as the ith "groupId" element

### addNewGroupId

    Id addNewGroupId()

  Appends and returns a new empty value (as xml) as the last "groupId" element

### removeGroupId

    void removeGroupId(int i)

  Removes the ith "groupId" element

### getUserIdArray

    String[] getUserIdArray()

  Gets array of all "userId" elements

### getUserIdArray

    String getUserIdArray(int i)

  Gets ith "userId" element

### xgetUserIdArray

    Id[] xgetUserIdArray()

  Gets (as xml) array of all "userId" elements

### xgetUserIdArray

    Id xgetUserIdArray(int i)

  Gets (as xml) ith "userId" element

### sizeOfUserIdArray

    int sizeOfUserIdArray()

  Returns number of "userId" element

### setUserIdArray

    void setUserIdArray(String[] userIdArray)

  Sets array of all "userId" element

### setUserIdArray

    void setUserIdArray(int i,
                        String userId)

  Sets ith "userId" element

### xsetUserIdArray

    void xsetUserIdArray(Id[] userIdArray)

  Sets (as xml) array of all "userId" element

### xsetUserIdArray

    void xsetUserIdArray(int i,
                         Id userId)

  Sets (as xml) ith "userId" element

### insertUserId

    void insertUserId(int i,
                      String userId)

  Inserts the value as the ith "userId" element

### addUserId

    void addUserId(String userId)

  Appends the value as the last "userId" element

### insertNewUserId

    Id insertNewUserId(int i)

  Inserts and returns a new empty value (as xml) as the ith "userId" element

### addNewUserId

    Id addNewUserId()

  Appends and returns a new empty value (as xml) as the last "userId" element

### removeUserId

    void removeUserId(int i)

  Removes the ith "userId" element

### getSystemFlag

    String getSystemFlag()

  Gets the "systemFlag" element

### xgetSystemFlag

    XmlString xgetSystemFlag()

  Gets (as xml) the "systemFlag" element

### isSetSystemFlag

    boolean isSetSystemFlag()

  True if has "systemFlag" element

### setSystemFlag

    void setSystemFlag(String systemFlag)

  Sets the "systemFlag" element

### xsetSystemFlag

    void xsetSystemFlag(XmlString systemFlag)

  Sets (as xml) the "systemFlag" element

### unsetSystemFlag

    void unsetSystemFlag()

  Unsets the "systemFlag" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD